<?xml version="1.0" encoding="UTF-8"?>
<control-inst fade="false" capture="true" xsi:type="dialogType" xmlns="http://www.sonyericsson.com/sui" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.sonyericsson.com/sui x:\sui.xsd">
	
	<background top="7" left="7" bottom="7" right="7" opacity="0.7">
		<data data-type="filename">panic_bg.png</data>
	</background>
	
	<visuals>
		<visual id="image">
			<visual-inst xsi:type="imageVisualType" scale-mode="fitinside">
				<data data-type="imagedata" bmp="8" msk="9">\resource\Apps\MCFDialogIcons.mbm</data>
			</visual-inst>
		</visual>
		<visual id="text1">
			<visual-inst xsi:type="textVisualType" size="24" colour="#FFFFFF" h-align="center" v-align="center">
				<data data-type="provider">MCFDialog#MCFDialogTitle</data>
				<style bold="true"/>
			</visual-inst>
		</visual>
		<visual id="text2">
			<visual-inst xsi:type="textVisualType" size="18" colour="#FFFFFF" lines="8" wrap="break" h-align="locale" v-align="top">
				<data data-type="provider">MCFDialog#MCFDialogText</data>
			</visual-inst>
		</visual>
		<visual id="button-bar">
			<control-inst xsi:type="buttonbarType" buttonbar-maxitem="3">
				<model xsi:type="CommandModelType" name="command-model" group-id="0"/>
				<layouts>
					<layout id="l1">
						<layout-mgr xsi:type="gridDynamicLayoutMgr" fixed-rows="1" min-columns="1" max-columns="2"/>
					</layout>
				</layouts>
				<buttonbar-item>
					<control-inst xsi:type="buttonType" id="1" latchable="true">
						<visuals>
							<visual id="uImage" tag="image">
								<visual-inst xsi:type="imageVisualType" scale-mode="fitinside">
									<data data-type="provider">local#image</data>
								</visual-inst>
							</visual>
							<visual id="sImage" tag="image">
								<visual-inst xsi:type="imageVisualType" scale-mode="fitinside">
									<data data-type="provider">local#selected-image</data>
								</visual-inst>
							</visual>
						</visuals>	
						<layouts>
							<layout id="selectedState">
								<layout-mgr xsi:type="gridLayoutMgr" fixed-rows="1" fixed-columns="1" >
									<layout-item xsi:type="gridLayoutMgrItemType" min-height="10" min-width="20">
										<visual-link visual-id="sImage"/>
									</layout-item>
								</layout-mgr>					
							</layout>
							<layout id="unselectedState">
								<layout-mgr xsi:type="gridLayoutMgr" fixed-rows="1" fixed-columns="1" >
									<layout-item xsi:type="gridLayoutMgrItemType" min-height="10" min-width="20">
										<visual-link visual-id="uImage"/>
									</layout-item>
								</layout-mgr>
							</layout>				
						</layouts>
					</control-inst >
				</buttonbar-item>
			</control-inst>
		</visual>
	</visuals>
	<layouts>
		<layout id="layout1">
			<layout-mgr xsi:type="fixedLayoutMgr" fixed-width="300" fixed-height="300">
				<layout-item xsi:type="fixedLayoutItemType" x="10" y="10" width="64" height="64">
					<visual-link visual-id="image"/>
				</layout-item>
				<layout-item xsi:type="fixedLayoutItemType" x="10" y="10" width="280" height="64">
					<visual-link visual-id="text1"/>
				</layout-item>
				<layout-item xsi:type="fixedLayoutItemType" x="10" y="84" width="280" height="136">
					<visual-link visual-id="text2"/>
				</layout-item>
				<layout-item xsi:type="fixedLayoutItemType" x="10" y="230" width="280" height="50">
					<visual-link visual-id="button-bar"/>
				</layout-item>
			</layout-mgr>
		</layout>
	</layouts>
	<!-- no configurations specified, so the first layout (in this case the only layout) will be used -->
	<!--<margins top="10" bottom="10" left="10" right="10"/> -->
	<commands>
		<command id="10000">
			<data data-id="text" data-type="text">Yes</data>
			<data data-id="icon" data-type="filename">MCF_Dialog_Left_Button.png</data>				
			<data data-id="selected-icon" data-type="filename">MCF_Dialog_Left_Button_Pressed.png</data>				
		</command>
		<command id="10001">
			<data data-id="text" data-type="text">No</data>
			<data data-id="icon" data-type="filename">MCF_Dialog_Right_Button.png</data>				
			<data data-id="selected-icon" data-type="filename">MCF_Dialog_Right_Button_Pressed.png</data>				
		</command>
	</commands>
	<transitions duration="200">
		<transition-event>
			<event-filter>
				<filter attribute="event_type" value="on_creation"/>
			</event-filter>
			<transition>
				<transition-effect xsi:type="fadeInEffectType">
				</transition-effect>
			</transition>
		</transition-event>
	</transitions>
</control-inst>
